package gridbus.gmd.security;

/**
 * Title:        The Grid Market Directory (GMD) Toolkit
 * Developer:    The Gridbus Project
 *               The Grid Computing and Distributed Systems (GRIDS) Laboratory
 *               The University of Melbourne, Australia
 * URL:          http://www.gridbus.org
 * @version      Alpha Version,
 * Description:  The GMD Toolkit allows the creation of portal for management of
 *               Grid Market services. It also provide webservices based access
 *               to GMD from external applications.
 * @author       Jia Yu (program developer) and Rajkumar Buyya (project director)
 *
 * Licence:      GPL - http://www.gnu.org/copyleft/gpl.html
 */



public class checksession extends JSPHandler{
	public String getSessionID(){
		return getSessionWrapper().getSessionID();

	}
	
	/**
	 * Method getLoginName.
	 * @return String
	 */
	public String getLoginName(){
		return getSessionWrapper().getUserName();
	}
	/**
	 * Method getRequiredOut.
	 * @return boolean
	 */
	public boolean getRequiredOut(){
		return requiresLoggedOut;
	}
	/**
	 * Method getRequiredIn.
	 * @return boolean
	 */
	public boolean getRequiredIn(){
		return requiresLoggedIn;
	}
	/**
	 * Method getProviderName.
	 * @return String
	 */
	public String getProviderName(){
		return getSessionWrapper().getProviderName();
	}
}
